// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: commonmodule/commonmodule.proto

package openfmb.commonmodule;

public interface ControlFSCCOrBuilder extends
    // @@protoc_insertion_point(interface_extends:commonmodule.ControlFSCC)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.LogicalNodeForControl logicalNodeForControl = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the logicalNodeForControl field is set.
   */
  boolean hasLogicalNodeForControl();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.LogicalNodeForControl logicalNodeForControl = 1 [(.uml.option_parent_message) = true];</code>
   * @return The logicalNodeForControl.
   */
  openfmb.commonmodule.LogicalNodeForControl getLogicalNodeForControl();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.LogicalNodeForControl logicalNodeForControl = 1 [(.uml.option_parent_message) = true];</code>
   */
  openfmb.commonmodule.LogicalNodeForControlOrBuilder getLogicalNodeForControlOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ControlScheduleFSCH controlScheduleFSCH = 2;</code>
   * @return Whether the controlScheduleFSCH field is set.
   */
  boolean hasControlScheduleFSCH();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ControlScheduleFSCH controlScheduleFSCH = 2;</code>
   * @return The controlScheduleFSCH.
   */
  openfmb.commonmodule.ControlScheduleFSCH getControlScheduleFSCH();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ControlScheduleFSCH controlScheduleFSCH = 2;</code>
   */
  openfmb.commonmodule.ControlScheduleFSCHOrBuilder getControlScheduleFSCHOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ControlScheduleFSCH islandControlScheduleFSCH = 3;</code>
   * @return Whether the islandControlScheduleFSCH field is set.
   */
  boolean hasIslandControlScheduleFSCH();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ControlScheduleFSCH islandControlScheduleFSCH = 3;</code>
   * @return The islandControlScheduleFSCH.
   */
  openfmb.commonmodule.ControlScheduleFSCH getIslandControlScheduleFSCH();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ControlScheduleFSCH islandControlScheduleFSCH = 3;</code>
   */
  openfmb.commonmodule.ControlScheduleFSCHOrBuilder getIslandControlScheduleFSCHOrBuilder();
}
